openCraftBook.alpha = 0; openCraft.alpha = 0;
if (getBlock != null && !schem_over && !recipe_over && lookBlockID == 206 && eatMeter == 0 && !statusShow) {
	if ((lookBlockMD == 9 && hasSchemBook) || (lookBlockMD == 4 && hasRecipeBook)) {openCraftBook.alpha = 1; openCraft.alpha = 1;}
	if (lookBlockMD == 9) {
		if (wasKeyPressed(18) && actionTime(1)) {
			if (!hasSchemBook) {chat.print("You don't know any schematics");} 
			else {schem_over = true; craftList = 0;}
		} else {openCraftBook.u = 16*6;}
	} else if (lookBlockMD == 4) {
		if (wasKeyPressed(18) && actionTime(1)) {
			if (!hasRecipeBook) {chat.print("You don't know any recipes");}
			else {recipe_over = true; craftList = 0;}
		} else {openCraftBook.u = 16*5;}
	}
}